//+------------------------------------------------------------------+
//|                                   Waddah Attar ADXxBollinger.mq4 |
//|                              Copyright  2006, Eng. Waddah Attar |
//|                                          waddahattar@hotmail.com |
//+------------------------------------------------------------------+
//mod fxtsd
#property copyright "Waddah Attar www.metaforex.net"
#property link      "www.metaforex.net waddahattar@hotmail.com"
//----
#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 LimeGreen
#property indicator_color2 Red
#property indicator_color3 DarkGreen
#property indicator_color4 Maroon

#property indicator_width1 2  
#property indicator_width2 2  
#property indicator_width3 2  
#property indicator_width4 2  


#property indicator_minimum 0
//----
extern int ADXPeriod = 14;
extern int BandsPeriod=20;
//----
double ExtBuffer1[];
double ExtBuffer2[];
double ExtBuffer3[];
double ExtBuffer4[];
double ExtBuffer5[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int init()
  {

   IndicatorBuffers(5);

   SetIndexBuffer(0, ExtBuffer1);
   SetIndexStyle(0, DRAW_HISTOGRAM);
//----
   SetIndexBuffer(1, ExtBuffer2);
   SetIndexStyle(1, DRAW_HISTOGRAM);
   SetIndexBuffer(2, ExtBuffer3);
   SetIndexStyle(2, DRAW_HISTOGRAM);
//----
   SetIndexBuffer(3, ExtBuffer4);
   SetIndexStyle(3, DRAW_HISTOGRAM);
//----


   SetIndexBuffer(4, ExtBuffer5);

   IndicatorShortName("WA ADXxBollinger - ADX (" + ADXPeriod + ") x Bollinger ("+BandsPeriod+")");
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
   int i, limit;
   double ADX0,ADX1,ADX2,Explo;
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0)        return(-1);
   if(counted_bars > 0)        counted_bars--;
   limit = Bars - counted_bars; 
//----   

   for(i=limit; i>=0; i--)

     {
       ADX0 = iADX(NULL, 0, ADXPeriod, PRICE_WEIGHTED, MODE_MAIN, i);
       ADX1 = iADX(NULL, 0, ADXPeriod, PRICE_WEIGHTED, MODE_PLUSDI, i);
       ADX2 = iADX(NULL, 0, ADXPeriod, PRICE_WEIGHTED, MODE_MINUSDI, i);
       Explo = iStdDev(NULL, 0, BandsPeriod,0,0, PRICE_CLOSE,  i) *100;


                
                
               

       //----



      ExtBuffer5[i]=ADX0*Explo*2;



                     ExtBuffer1[i] = 0.0; ExtBuffer2[i] = 0.0;
                     ExtBuffer3[i] = 0.0; ExtBuffer4[i] = 0.0;



       if(ADX1 > ADX2) 
            {
            if (ExtBuffer5[i]>ExtBuffer5[i+1])  ExtBuffer1[i]=ExtBuffer5[i];
            else                                ExtBuffer3[i]=ExtBuffer5[i];
            }
       
       else
            {
            if (ExtBuffer5[i]>ExtBuffer5[i+1])  ExtBuffer2[i]=ExtBuffer5[i];
            else                                ExtBuffer4[i]=ExtBuffer5[i];
            }



     }
   return(0);
  }
//+------------------------------------------------------------------+

